// intelligent style guide

  // Стили для прижатого футера

html, body
  width: 100% !important
  height: 100% !important

.mainWrapper
  position: relative
  overflow: hidden
  min-height: 100%
  height: 100%
  height: auto !important
  min-width: $pW
  margin-bottom: -($fH)

#main
  margin-bottom: $fH
  text-align: center


#footer
  position: relative
  height: $fH


  // Стандартные элементы

.clear
  clear: both
  display: block
  height: 0

.VA
  height: 100%
  &:before
    content: ''
    display: inline-block
    height: 100%
    width: 0
    vertical-align: middle

.toRight
  float: right

.toLeft
  float: left

.PW, .FW
  position: relative
  

.PW
  width: $pW
  display: inline-block
  text-align: left

.FW
  width: 100%
  text-align: center

#overlay
  position: absolute
  display: none
  text-align: center
  top: 0
  left: 0
  right: 0
  z-index: 1000
  background-color: rgba(0,0,0,.4)

#popup
  left: 50%
  vertical-align: middle
  background-color: white
  box-shadow: 0 0 10px 2px rgba(0,0,0,.6)
  
  .blockHead, .blockBody
    width: 100%
    box-sizing: border-box

button, input, textarea
  border: 0
  outline: none
  box-sizing: border-box

button
  background-color: transparent

img 
  vertical-align: bottom

a:hover
  text-decoration: none

  

